Subject: Re: bug#36924: GDM, GNOME Shell, etc. break when there are stale caches

From: Maxime Devos <[email-masked]>
Date: Wed, 23 Mar 2022 13:48:36 +0100

zimoun schreef op wo 23-03-2022 om 12:28 [+0100]:
> > This happens whenever I upgrade the system.  This makes the system
> > rather frustrating to use.  I don’t know if booting into an older
> > system
> > generation would result in the same problem, but my guess is that
> > it
> > would because both GDM and GNOME Shell appear to be leaving some
> > binary
> > files behind that cause different versions to crash
> > unceremoneously.
> > 
> > What can we do to make GDM and GNOME Shell more reliable?
> 
> Is it still an issue?

IIRC, I encountered the same symptom (although perhaps with a different
cause, and I did not know if was caused by upgrades) last time I used
Guix System, which was in the 2022 or at least 2021, so I think it
might still be an issue.  Or maybe it has been solved since then.

Greetings,
Maxime.